Subject: bug#32969: closed (Re: bug#32969: "Confirm--do you mean to use‘*’ as a wildcard? (y or n)" stays in minibuffer)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 11 Oct 2018 08:29:02 +0000

Your bug report

#32969: "Confirm--do you mean to use ‘*’ as a wildcard? (y or n)" stays in minibuffer

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
32969: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=32969
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#32969: "Confirm--do you mean to use ‘*’ as a wildcard? (y or n)" stays in minibuffer
From: Tino Calancha <[email-masked]>
To: [email-masked]
Date: Thu, 11 Oct 2018 17:28:44 +0900
List-Id: <debbugs-submit.debbugs.gnu.org>

Eli Zaretskii <[email-masked]> writes:

>> From: Tino Calancha <[email-masked]>
>> Date: Mon, 8 Oct 2018 04:43:18 +0900 (JST)
>> cc: Tino Calancha <[email-masked]>, [email-masked], 
>>     [email-masked]
>> 
>> >> +    (cond ((not ok) (message "OK, canceled"))
>> >
>> > I'd suggest to use "Command canceled".  the "OK" part might confuse
>> > some non-native English speakers to think the command was executed.
>> OK (I mean, I updated the patch as you mentioned :-)
>> 
>> BTW, emacs-26 or master?
>
> I think emacs-26.  Thanks.
Implemeted in emacs-26 as commit
'dired-do-shell-command: Notify users after abort the command'
(a7ebc6bf633bd3849ccab032dad6b1fd31b1ef43)

Subject: "Confirm--do you mean to use ‘*’ as a wildcard? (y or n)" stays in minibuffer
From: 積丹尼 Dan Jacobson <[email-masked]>
To: [email-masked]
Date: Sun, 07 Oct 2018 20:26:02 +0800
List-Id: <debbugs-submit.debbugs.gnu.org>

Dired has a message:
Confirm--do you mean to use ‘*’ as a wildcard? (y or n)
if one answers "n" the message just stays in the minibuffer.

It should instead say "command aborted", else the user thinks it used
'*' in its other (text replacement) way. Which it turns out it doesn't.

emacs-version "25.2.2"